<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<?php
	include_once('wcms.php');
	list($requestFile, $scriptUrlDir, $queryString) = parseQuery();
	list($user, $level) = parseSession('users');
	$menu = parseMenu('menu', $requestFile);
	list($content, $style, $title) = parseContent($menu);
?>

<html xmlns="http://www.w3.org/1999/xhtml" lang="nl" xml:lang="nl">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<meta name="description" content="WCMS example site" />
	<meta name="keywords" content="WCMS, CMS, " />
	<meta name="author" content="Wilbert van Ham" />
	<link rel="shortcut icon" href="<?php echo"$scriptUrlDir"?>/css/img/w.ico" type="image/x-icon" />
	<link rel="stylesheet" type="text/css" href="<?php echo"$scriptUrlDir"?>/css/andreas09.css" title="andreas09" media="screen" />
	<title>WCMS<?php if($title) print ", $title";?></title>
	<?php print "$style\n"; ?>
</head>
<body>
<div id="container">
	<div id="sitename">
		<h1>WCMS</h1>
		<h2>file based CMS</h2>
	</div>
	<div id="mainmenu">
		<ul>
			<?php printMainMenu($menu) ?>
		</ul>
	</div>
 
	<div id="wrap">
		<div id="leftside">
			<p>
			<?php printMenu($menu) ?>
			</p>
			
			<h1>Login</h1>
			<?php printSession() ?>

			<h1>Search</h1>
			<form action="http://www.google.com/search">
			<p class="searchform">
				<?php
				printf("<input type='hidden' name='q' value='site:%s%s'/>\n", $_SERVER['HTTP_HOST'], $scriptUrlDir);
				?>
				<input type="hidden" name = "hl" value ="nl" />
				<input type="text" alt="Search" name="q" class="searchbox" />
				<input type="submit" value="Go!" class="searchbutton" />
			</p>
			</form>
			
		</div>

		<div id="content">
			<?php printContent($content) ?>
		</div>
	</div> <!-- end of wrap -->
</div> <!-- end of container -->

<div id="footer">
	<p>&copy; 2012 <a href="#">Wilbert van Ham</a> | Technical by <a href="#">Wilbert van Ham</a> | Template design by <a href="http://andreasviklund.com/">Andreas Viklund</a></p>
</div>

</body>
</html>
