#!/usr/bin/perl
use strict;
use warnings;
use parseArgs;

my %query = parseArgs();

print "Content-type: text/html\n\n";
print "<html><body>\n";

# if run as cgi-script, show forms
if(exists($ENV{"SCRIPT_NAME"})){
	print "<h1>Get</h1><form method='get' action='$ENV{\"SCRIPT_NAME\"}'>\n";
	print '
	<input name="test0" value="valueGet0"/><br/>
	<input name="test1" value="valueGet1"/><br/>
	<input type="submit" value="get"/>
	</form>
	';

	print "<h1>Post</h1><form method='post' action='$ENV{\"SCRIPT_NAME\"}'>\n";
	print '
	<input name="test0" value="valuePost0"/><br/>
	<input name="test1" value="valuePost1"/><br/>
	<input type="submit" value="post"/>
	</form>
	';
}

print "<h1>Query</h1>\n";
print "<table>\n";
foreach(keys(%query)){ 
	printf("<tr><td>%s:</td><td>%s</td></tr>\n", $_, $query{$_}); 
}
print "</table>\n";

if(defined(%ENV)){
	print "<h1>ENV</h1>\n";
	print "<table>\n";
	foreach(keys(%ENV)){ printf("<tr><td>%s:</td><td>%s</td></tr>\n", $_, $ENV{$_}); }
	print "</table>\n";
}

print "</body></html>\n";
